<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Source/Synopsis/config.hh.html -->
<!-- this view was generated by Source -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis/config.hh</title>
<link href="../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Source">
<div class="navigation">
<span class="normal"><a href="../../Scopes/global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../NameIndex.html" >Name Index</a></span>
</div>
File: <b >Synopsis/config.hh</b><pre class="sxr"><a id="line1"></a><span class="lineno"> 1</span><span class="line"><span class="comment">//</span></span>
<a id="line2"></a><span class="lineno"> 2</span><span class="line"><span class="comment">// Copyright (C) 2007 Stefan Seefeld</span></span>
<a id="line3"></a><span class="lineno"> 3</span><span class="line"><span class="comment">// All rights reserved.</span></span>
<a id="line4"></a><span class="lineno"> 4</span><span class="line"><span class="comment">// Licensed to the public under the terms of the GNU LGPL (&gt;= 2),</span></span>
<a id="line5"></a><span class="lineno"> 5</span><span class="line"><span class="comment">// see the file COPYING for details.</span></span>
<a id="line6"></a><span class="lineno"> 6</span><span class="line"><span class="comment">//</span></span>
<a id="line7"></a><span class="lineno"> 7</span>
<a id="line8"></a><span class="lineno"> 8</span><span class="line">#ifndef Synopsis_config_hh_</span>
<a id="line9"></a><span class="lineno"> 9</span><span class="line">#define Synopsis_config_hh_</span>
<a id="line10"></a><span class="lineno">10</span>
<a id="line11"></a><span class="lineno">11</span><span class="line"><span class="comment">// The following code is an adaptation from suggestions made</span></span>
<a id="line12"></a><span class="lineno">12</span><span class="line"><span class="comment">// at http://gcc.gnu.org/wiki/Visibility</span></span>
<a id="line13"></a><span class="lineno">13</span>
<a id="line14"></a><span class="lineno">14</span><span class="line"><span class="comment">// Shared library support</span></span>
<a id="line15"></a><span class="lineno">15</span><span class="line">#ifdef WIN32</span>
<a id="line16"></a><span class="lineno">16</span><span class="line">  #define SYN_IMPORT __declspec(dllimport)</span>
<a id="line17"></a><span class="lineno">17</span><span class="line">  #define SYN_EXPORT __declspec(dllexport)</span>
<a id="line18"></a><span class="lineno">18</span><span class="line">  #define SYN_DSO_LOCAL</span>
<a id="line19"></a><span class="lineno">19</span><span class="line">  #define SYN_DSO_PUBLIC</span>
<a id="line20"></a><span class="lineno">20</span><span class="line">#else</span>
<a id="line21"></a><span class="lineno">21</span><span class="line">  #define SYN_IMPORT</span>
<a id="line22"></a><span class="lineno">22</span><span class="line">  #ifdef GCC_HASCLASSVISIBILITY</span>
<a id="line23"></a><span class="lineno">23</span><span class="line">    #define SYN_IMPORT __attribute__ ((visibility(&quot;default&quot;)))</span>
<a id="line24"></a><span class="lineno">24</span><span class="line">    #define SYN_EXPORT __attribute__ ((visibility(&quot;default&quot;)))</span>
<a id="line25"></a><span class="lineno">25</span><span class="line">    #define SYN_DSO_LOCAL __attribute__ ((visibility(&quot;hidden&quot;)))</span>
<a id="line26"></a><span class="lineno">26</span><span class="line">    #define SYN_DSO_PUBLIC __attribute__ ((visibility(&quot;default&quot;)))</span>
<a id="line27"></a><span class="lineno">27</span><span class="line">  #else</span>
<a id="line28"></a><span class="lineno">28</span><span class="line">    #define SYN_IMPORT</span>
<a id="line29"></a><span class="lineno">29</span><span class="line">    #define SYN_EXPORT</span>
<a id="line30"></a><span class="lineno">30</span><span class="line">    #define SYN_DSO_LOCAL</span>
<a id="line31"></a><span class="lineno">31</span><span class="line">    #define SYN_DSO_PUBLIC</span>
<a id="line32"></a><span class="lineno">32</span><span class="line">  #endif</span>
<a id="line33"></a><span class="lineno">33</span><span class="line">#endif</span>
<a id="line34"></a><span class="lineno">34</span>
<a id="line35"></a><span class="lineno">35</span><span class="line"><span class="comment">// Define SYNOPSIS_API for DSO builds</span></span>
<a id="line36"></a><span class="lineno">36</span><span class="line">#ifdef SYNOPSIS_DSO</span>
<a id="line37"></a><span class="lineno">37</span><span class="line">  #ifdef SYNOPSIS_DSO_EXPORTS</span>
<a id="line38"></a><span class="lineno">38</span><span class="line">    #define SYNOPSIS_API SYN_EXPORT</span>
<a id="line39"></a><span class="lineno">39</span><span class="line">  #else</span>
<a id="line40"></a><span class="lineno">40</span><span class="line">    #define SYNOPSIS_API SYN_IMPORT</span>
<a id="line41"></a><span class="lineno">41</span><span class="line">  #endif // SYNOPSIS_DSO_EXPORTS</span>
<a id="line42"></a><span class="lineno">42</span><span class="line">#else</span>
<a id="line43"></a><span class="lineno">43</span><span class="line">  #define SYNOPSIS_API</span>
<a id="line44"></a><span class="lineno">44</span><span class="line">#endif // SYNOPSIS_DSO</span>
<a id="line45"></a><span class="lineno">45</span>
<a id="line46"></a><span class="lineno">46</span><span class="line">#endif</span>
</pre>
<div class="logo">Generated on Thu Apr 16 16:28:04 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
